CopyX = {}

function CopyX.Create(me)
	SetTexture(me,"X")
	SetPalette(me,0)
	
end

function CopyX.Update(me)
	CopyAnimation(me,GetPlayer())
	SetDirection(me,GetDirection(GetPlayer()))
	if(GetLifetime(me) % 4 == 0 and GetLifetime(me) > 0)
	then
	pal = GetPalette(me)
		SetPalette(me,pal + 1)
	end
	
	if (GetLifetime(me) == 12)
	then
		SetHealth(me, 0)
	end		
	
end